| GET | /account/status | Get account status |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Authentication | header, body | Authentication | Yes | The authentication credentials |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ApiUserId | header, body | string | Yes | The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User) |
| ApiUserKey | header, body | string | Yes | The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key) |
| UserId | header, body | string | No | The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id). |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Data | form | GetAccountStatusData | No | The response data |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| AccountStatus | form | AccountStatus | No | The account status information |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ResponseStatus | form | ResponseStatus | No | The status of the response |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ErrorCode | form | string | No | |
| Message | form | string | No | |
| StackTrace | form | string | No | |
| Errors | form | ArrayOfResponseError | No | |
| Meta | form | Dictionary<string, string> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ErrorCode | form | string | No | |
| FieldName | form | string | No | |
| Message | form | string | No | |
| Meta | form | Dictionary<string, string> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Status | form | string | No | The account status (e.g. Unpaid, Active, Expired) |
| Type | form | string | No | The account type (e.g. live, developer, demo) |
| ExpiryDate | form | DateTime? | No | The account Expiry Date |
| ExpiryDateUniversal | form | string | No | The account Expiry Date as a string in ISO 8601 format |
| Balance | form | decimal | No | The account balance |
| CreditBalance | form | long | No | The account search credit balance |
| DBSBasicCreditBalance | form | int | No | The account DBS credit balance |
| Products | form | List<string> | No | The list of enabled products for this account |
| Capabilities | form | List<string> | No | The list of enabled capabilities for this account |
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /account/status HTTP/1.1 Host: api.simplified.id Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<GetAccountStatusResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.servicestack.net/types">
<Data>
<ResponseStatus>
<ErrorCode>String</ErrorCode>
<Message>String</Message>
<StackTrace>String</StackTrace>
<Errors>
<ResponseError>
<ErrorCode>String</ErrorCode>
<FieldName>String</FieldName>
<Message>String</Message>
<Meta xmlns:d6p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d6p1:KeyValueOfstringstring>
<d6p1:Key>String</d6p1:Key>
<d6p1:Value>String</d6p1:Value>
</d6p1:KeyValueOfstringstring>
</Meta>
</ResponseError>
</Errors>
<Meta xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>String</d4p1:Key>
<d4p1:Value>String</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</Meta>
</ResponseStatus>
<AccountStatus>
<Balance>0</Balance>
<Capabilities xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:string>String</d4p1:string>
</Capabilities>
<CreditBalance>0</CreditBalance>
<DBSBasicCreditBalance>0</DBSBasicCreditBalance>
<ExpiryDate>0001-01-01T00:00:00</ExpiryDate>
<ExpiryDateUniversal>String</ExpiryDateUniversal>
<Products xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:string>String</d4p1:string>
</Products>
<Status>String</Status>
<Type>String</Type>
</AccountStatus>
</Data>
</GetAccountStatusResponse>